IF OBJECT_ID('V_CUPOM_NAO_FISCAL_TP_CUPOM') IS NOT NULL
	DROP VIEW V_CUPOM_NAO_FISCAL_TP_CUPOM
GO
CREATE VIEW V_CUPOM_NAO_FISCAL_TP_CUPOM
AS
SELECT
0 AS CD_TP_CUPOM_NAO_FISCAL,
'0 - RECEBIMENTO FATURA' AS DS_TP_CUPOM_NAO_FISCAL
UNION ALL
SELECT
1 AS CD_TP_CUPOM_NAO_FISCAL,
'1 - DOACAO' AS DS_TP_CUPOM_NAO_FISCAL
UNION ALL
SELECT
2 AS CD_TP_CUPOM_NAO_FISCAL,
'2 - RECEBIMENTOS DE TERCEIROS' AS DS_TP_CUPOM_NAO_FISCAL
UNION ALL
SELECT
3 AS CD_TP_CUPOM_NAO_FISCAL,
'3 - RECARGA CELULAR' AS DS_TP_CUPOM_NAO_FISCAL
UNION ALL
SELECT
4 AS CD_TP_CUPOM_NAO_FISCAL,
'4 - SUPRIMENTO' AS DS_TP_CUPOM_NAO_FISCAL
UNION ALL
SELECT
5 AS CD_TP_CUPOM_NAO_FISCAL,
'5 - SANGRIA' AS DS_TP_CUPOM_NAO_FISCAL
UNION ALL
SELECT
6 AS CD_TP_CUPOM_NAO_FISCAL,
'6 - NAO CLASSIFICACAO' AS DS_TP_CUPOM_NAO_FISCAL
UNION ALL
SELECT
7 AS CD_TP_CUPOM_NAO_FISCAL,
'7 - RPS SERVICOS' AS DS_TP_CUPOM_NAO_FISCAL
